JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretListView = await client.secrets.list();
console.log(secretListView.has_more);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_list_view = client.secrets.list()
print(secret_list_view.has_more)curl --request GET \
--url https://api.runloop.ai/v1/secrets \
--header 'Authorization: Bearer <token>'
{
"secrets": [
{
"id": "<string>",
"name": "<string>",
"create_time_ms": 123,
"update_time_ms": 123
}
],
"has_more": true,
"total_count": 123
}secrets
List Secrets.
List all Secrets for the authenticated account. Secret values are not included for security reasons.
GET
/
v1
/
secrets
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretListView = await client.secrets.list();
console.log(secretListView.has_more);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_list_view = client.secrets.list()
print(secret_list_view.has_more)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The limit of items to return. Default is 20. Max is 5000.
Response
Successfully retrieved list of Secrets. Values are omitted for security.
Was this page helpful?
